# mongoc_gridfs_file_writev()

## Synopsis

    ssize_t
    mongoc_gridfs_file_writev (mongoc_gridfs_file_t *file,
                               mongoc_iovec_t       *iov,
                               size_t                iovcnt,
                               uint32_t              timeout_msec);

## Parameters

file | A mongoc_gridfs_file_t.
iov | An array of mongoc_iovec_t.
iovcnt | The number of elements in iov.
timeout_msec | A uint32_t with the timeout in milliseconds.

## Description

Performs a gathered write to the underlying gridfs file.

If timeout is reached, then -1 is returned and errno is set to ETIMEDOUT.

## Returns

Returns the number of bytes written or -1 upon error and errno is set.